package com.persagy.fm.department.constant.enums;

import com.persagy.fm.common.model.annotation.SwaggerDisplayEnum;

/**
 * 部门类型
 *
 * @author lixing
 * @version V1.0 2021/3/12 3:00 下午
 */
@SwaggerDisplayEnum
public enum DepTypeEnum {
    /**
     * 部门类型
     */
    GROUP("0", "集团"),
    COMPANY("1", "公司"),
    DEPT("2", "部门");

    private String type;
    private String desc;

    DepTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
