package com.persagy.fm.department.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/3/12 4:31 下午
 */
@Data
@ApiModel(value = "查询部门树入参")
public class QueryDepartmentTreeDTO {
    @ApiModelProperty(value = "选中的树节点列表")
    private List<String> checkedIds;

    @ApiModelProperty(value = "需要展示的层级")
    @Min(value = 1, message = "需要展示的层级最小为1")
    private Integer showLevel;
}
