package com.persagy.fm.depproject.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-03-24 10:08:13
 */
@Data
@ApiModel(value = "创建部门项目入参")
public class AddDepProjectDTO {
    @ApiModelProperty(value = "部门id", required = true)
    @NotNull(message = "部门id不能为空") 
    private String depId;

    @ApiModelProperty(value = "项目id", required = true)
    @NotNull(message = "项目id不能为空") 
    private String projectId;

}
