package com.persagy.fm.depproject.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-24 10:08:14
 */
@Data
@ApiModel(value = "查询部门项目入参")
public class QueryDepProjectDTO {
    @ApiModelProperty(value = "部门id")
    private String depId;

    @ApiModelProperty(value = "部门id列表")
    private List<String> depIds;

    @ApiModelProperty(value = "项目id")
    private String projectId;

}
