package com.persagy.fm.person.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:32
 */
@Data
@ApiModel(value = "获取人员详情入参")
public class QueryPersonDetailDTO {
    @NotNull(message = "id不能为空")
    @ApiModelProperty(value = "人员id", required = true)
    private String id;

    @ApiModelProperty(value = "部门id")
    private String depId;

}
