package com.persagy.fm.saas.account.constant.enums;

import com.persagy.fm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 过期类型枚举类
 *
 * @author lixing
 * @version V1.0 2021/4/8 8:43 下午
 **/
@SwaggerDisplayEnum
public enum ExpireTypeEnum {
    /**
     * 过期类型枚举类
     */
    EXPIRY_DATE("0", "期内有效"),
    FOREVER("1", "永久有效");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    ExpireTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
