package com.persagy.fm.saas.account.model.vo;

import lombok.Data;

import java.util.Date;

/**
 * 运维平台账号列表对象
 *
 * @author lixing
 * @version V1.0 2021/3/23 11:50 上午
 **/
@Data
public class SaasAccountListItemVO {
    private String accountBelong;
    private String accountSource;
    private String accountType;
    private String appId;
    private Date createTime;
    private Date validEndTime;
    private String groupCode;
    private String headPortrait;
    private String mail;
    private String phoneNum;
    private String remark;
    private Date updateTime;
    private Date validStartTime;
    private String username;
    /**
     * 账号有效期，0-期内有效，1-永久有效
     */
    private String validLast;
    private Integer valid;
    private String id;
}
