package com.persagy.fm.saas.accountrole.constant.enums;

import com.persagy.fm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 账号角色关联类型枚举类
 *
 * @author lixing
 * @version V1.0 2021/3/25 10:16 上午
 **/
@SwaggerDisplayEnum
public enum AccountRoleTypeEnum {
    /**
     * 账号角色关联类型
     */
    MAIN_DUTY("0", "主岗"),
    OTHER_DUTY("1", "副岗"),
    SYS_ROLE("2", "系统角色");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    AccountRoleTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
