package com.persagy.fm.saas.accountrole.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-03-25 09:39:40
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "删除账号-角色关联信息入参")
public class DeleteSaasAccountRoleDTO extends SaasBaseDTO {
    private String accountId;
    private String casType;
}
