package com.persagy.fm.saas.project.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 查询运维系统区域项目树(有权限管理)入参，所有参数非必填
 *
 * @author lixing
 * @version V1.0 2021/3/26 5:43 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
public class QueryAllowSaasAreaProjectTreeDTO extends SaasBaseDTO {
    private String projectId;
    private String areaId;
    private String projectLocalId;
    private String projectName;
    private List<String> projectIds;
    private Boolean showEmptyArea;
}
