package com.persagy.fm.saas.project.model.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 运维平台区域项目树条目vo类
 *
 * @author lixing
 * @version V1.0 2021/3/26 5:53 下午
 **/
@Data
public class SaasAreaProjectTreeItemVO {
    private String areaCode;
    private String areaName;
    private String areaType;
    private List<SaasAreaProjectTreeItemVO> childrens;
    private Date createTime;
    private String groupCode;
    private String id;
    private String parentId;
    private String remark;
    private Date updateTime;
    private String updateUser;
    private List<SaasProjectTreeItemVO> projects;
}
