package com.persagy.fm.saas.role.client.fallback;

import com.persagy.fm.saas.role.client.SaasRoleClient;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 运维系统角色接口熔断处理类
 *
 * @author lixing
 * @version V1.0 2021/3/24 2:59 下午
 */
@Component
public class SaasRoleClientFallbackFactory implements FallbackFactory<SaasRoleClient> {
    @Override
    public SaasRoleClient create(Throwable throwable) {
        return null;
    }
}
