package com.persagy.fm.scheduling.model;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.fm.common.model.entity.AuditableEntity;
import com.persagy.fm.scheduling.enums.WorkTimeType;
import lombok.Data;

import java.io.Serializable;


@Data
@TableName(value = "work_schedule")
public class WorkSchedule extends AuditableEntity<WorkSchedule> implements Serializable {

    @TableField(value = "year")
    private Integer year;
    @TableField(value = "month")
    private Integer month;
    @TableField(value = "day")
    private Integer day;
    @TableField(value = "person_id")
    private String personId;
    @TableField(value = "department_id")
    private String departmentId;
    @TableField(value = "project_id")
    private String projectId;
    @TableField(value = "work_time_type")
    private WorkTimeType workTimeType;
}
