package com.persagy.fm.scheduling.vo.response;

import com.persagy.fm.scheduling.enums.WorkTimeType;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class OnePersonScheduleVO {

    private PersonInfo personInfo;

    private List<WorkScheduleVO> workScheduleVOS;

    private StatisticalInfoVO statisticalInfoVO;



    @Data
    @Accessors(chain = true)
    public static class PersonInfo {
        private String personId;
        private String majorPosition;
        private List<String> secondaryPositions;


    }



    @Data
    @Accessors(chain = true)
    public static class WorkScheduleVO {
        private String id;
        private Integer day;
        private WorkTimeType workTimeType;
    }


}
