package com.persagy.fm.saas.model;

import com.persagy.fm.common.constant.PageQueryConstants;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 运维平台基础dto类
 *
 * @author lixing
 * @version V1.0 2021/3/26 4:48 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
public class SaasBasePageDTO extends SaasBaseDTO{
    private Integer page;
    private Integer size;

    @Override
    public void setDefaultValue() {
        super.setDefaultValue();
        if (this.page == null) {
            this.setPage(PageQueryConstants.DEFAULT_PAGE);
        }
        if (this.size == null) {
            this.setSize(PageQueryConstants.DEFAULT_SIZE);
        }
    }
}
