package com.persagy.fm.saas.model.dto;

import com.persagy.fm.saas.model.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-22 19:04:24
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "查询入参")
public class QuerySaasRoleDTO extends SaasBaseDTO {
    @ApiModelProperty(value = "角色id")
    private String id;

    @ApiModelProperty(value = "角色id列表")
    private List<String> roleIds;

    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty(value = "角色类型", required = true)
    private String roleType;
}
