package com.persagy.fm.department.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author lixing
 * @version V1.0 2021/4/26 4:49 下午
 **/
@ApiModel("获取部门全路径信息入参")
@Data
public class GetFullPathInfoDTO {
    @ApiModelProperty(value = "部门id", required = true)
    @NotBlank(message = "部门id不能为空")
    private String depId;
}
