package com.persagy.fm.department.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-11 15:09:19
 */
@Data
@ApiModel(value = "查询部门项目树入参")
public class QueryDepProjectTreeDTO {
    @ApiModelProperty(value = "父部门id列表。不传加载整个集团的项目树")
    private List<String> parentDepIds;
}
