package com.persagy.fm.depproject.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.persagy.fm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 部门项目(DepProject)实体类
 *
 * @author lixing
 * @version V1.0 2021-03-24 10:08:13
 */
@Data
@ApiModel(description = "部门项目")
public class DepProject extends AuditableEntity<DepProject> implements Serializable {
    private static final long serialVersionUID = -75010347897886577L;

    @ApiModelProperty("部门id")
    private Long depId;

    @ApiModelProperty("项目id")
    private String projectId;


    public static String PROP_DEP_ID = "dep_id";
    public static String PROP_PROJECT_ID = "project_id";

}
