package com.persagy.fm.person.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:33
 */
@Data
@ApiModel(value = "根据人名查询")
public class QueryByNameDTO {
    @ApiModelProperty(value = "姓名", required = true)
    @NotEmpty(message = "姓名必填")
    private String name;
}
