package com.persagy.fm.saas.project.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 查询运维平台项目入参
 *
 * @author lixing
 * @version V1.0 2021/3/29 3:01 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
public class QuerySaasProjectDTO extends SaasBaseDTO {
    private String projectId;
    private String areaId;
    private String projectName;
    private String projectLocalId;
    private List<String> projectIds;
}
