package com.persagy.fm.workresume.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:07
 */
@Data
@ApiModel(value = "创建工作信息入参")
public class AddWorkResumeDTO {
    @ApiModelProperty(value = "人员主键", required = true)
    @NotNull(message = "人员主键不能为空")
    private String personId;

    @ApiModelProperty(value = "部门主键", required = true)
    @NotNull(message = "部门主键不能为空")
    private String depId;

    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty(value = "入职时间")
    private Date hiredDate;

    @ApiModelProperty(value = "离职时间")
    private Date departureDate;

}
