package com.persagy.fm.scheduling.vo.request;


import com.persagy.fm.scheduling.enums.WorkTimeType;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class UpdateScheduleVO {


    private @Valid List<ScheduleVO> scheduleVOS;


    @Data
    public static class ScheduleVO {
        @NotBlank
        private String id;
        @NotNull
        private WorkTimeType workTimeType;
        @NotNull
        private Integer day;
    }


}
