package com.persagy.fm.scheduling.vo.response;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(description = "排班列表的返回结果vo")
public class ScheduleListResultVO {

    @ApiModelProperty(value = "一个人员的排班内容")
    private List<OnePersonScheduleVO> personSchedules;
    @ApiModelProperty(value = "白班夜班的工作时间以及休息时间")
    private WorkTimeResultVO workTimeResultVO;

}
