package com.persagy.fm.saas.model.dto;

import com.persagy.fm.saas.model.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-03-22 19:04:21
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "更新入参")
public class UpdateSaasRoleDTO extends SaasBaseDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") 
    private String id;

    @ApiModelProperty(value = "角色名称", required = true)
    @NotNull(message = "角色名称不能为空")
    private String roleName;
}
